intfiction.org

The Interactive Fiction Community Forum
It is currently Tue Dec 12, 2017 3:29 am

All times are UTC - 6 hours [ DST ]




Post new topic Reply to topic  [ 5 posts ] 
Author Message
PostPosted: Sun Aug 27, 2017 9:41 am 
Offline

Joined: Tue Jul 28, 2015 1:05 pm
Posts: 1007
I downloaded node.js, and then the github lectrote package. After running npm install, I had the following error:

Code:
10082 error npm  v3.10.10
10083 error code ELIFECYCLE
10084 error lectrote@1.2.8 preinstall: `if [ -f quixe/LICENSE ]; then echo Quixe already installed; elif [ -d .git ]; then git submodule init; git submodule update; else git clone https://github.com/erkyrath/quixe.git; fi`
10084 error Exit status 1
10085 error Failed at the lectrote@1.2.8 preinstall script 'if [ -f quixe/LICENSE ]; then echo Quixe already installed; elif [ -d .git ]; then git submodule init; git submodule update; else git clone https://github.com/erkyrath/quixe.git; fi'.
10085 error Make sure you have the latest version of node.js and npm installed.
10085 error If you do, this is most likely a problem with the lectrote package,
10085 error not with npm itself.
10085 error Tell the author that this fails on your system:
10085 error     if [ -f quixe/LICENSE ]; then echo Quixe already installed; elif [ -d .git ]; then git submodule init; git submodule update; else git clone https://github.com/erkyrath/quixe.git; fi
10085 error You can get information on how to open an issue for this project with:
10085 error     npm bugs lectrote
10085 error Or if that isn't available, you can get their info via:
10085 error     npm owner ls lectrote
10085 error There is likely additional logging output above.
10086 verbose exit [ 1, true ]


I downloaded Node.js from https://nodejs.org/en/, selecting v6.11.2 LTS. I dowloaded the lectrote zip from https://github.com/erkyrath/lectrote.

_________________
-My IFDB name is Mathbrush.

Anyone can make interactive fiction; if you've made a game and need a review on IFDB, let me know!


Top
 Profile Send private message  
Reply with quote  
PostPosted: Sun Aug 27, 2017 9:50 am 
Offline

Joined: Tue Jul 28, 2015 1:05 pm
Posts: 1007
I just realized I didn't have git installed as requested in the readme, so I went to https://git-for-windows.github.io/ and downloaded and installed the windows version. I then re-ran npm install, and it stopped at the same error.

_________________
-My IFDB name is Mathbrush.

Anyone can make interactive fiction; if you've made a game and need a review on IFDB, let me know!


Top
 Profile Send private message  
Reply with quote  
PostPosted: Sun Aug 27, 2017 9:58 am 
Offline

Joined: Tue Jul 28, 2015 1:05 pm
Posts: 1007
I even tried downloading quixe from github, and unzipping it into lectrote's quixe folder (including the LICENSE file), but somehow npm install still gives the same error.

_________________
-My IFDB name is Mathbrush.

Anyone can make interactive fiction; if you've made a game and need a review on IFDB, let me know!


Top
 Profile Send private message  
Reply with quote  
PostPosted: Sun Aug 27, 2017 10:18 am 
Offline

Joined: Tue Jul 28, 2015 1:05 pm
Posts: 1007
Well, I opened package.json and deleted the conditional git command since I had already downloaded quixe into its own folder. Now everything compiled, and npm start worked just fine. So it's all fixed!

_________________
-My IFDB name is Mathbrush.

Anyone can make interactive fiction; if you've made a game and need a review on IFDB, let me know!


Top
 Profile Send private message  
Reply with quote  
PostPosted: Sun Aug 27, 2017 12:47 pm 
Offline

Joined: Sat Jan 23, 2010 4:56 pm
Posts: 5507
Good :)


Top
 Profile Send private message  
Reply with quote  
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 5 posts ] 

All times are UTC - 6 hours [ DST ]


Who is online

Users browsing this forum: No registered users and 2 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
cron
Powered by phpBB® Forum Software © phpBB Group